# Amira Script
remove -all
remove SurfaceView chloro_membrane.surf SurfaceView2 thylakoids.surf SurfaceView3 Pyrenoid.surf inn_mem.surf SurfaceView4 volrenGreen.col5 ClippingPlane ClippingPlane2 reverse_crop.am Voltex

# Create viewers
viewer 0 show
viewer 0 setSize 831 825
viewer 0 setBackgroundMode 0
viewer 0 setBackgroundColor 0 0 0
viewer 0 setBackgroundColor2 0.7 0.7 0.8
viewer 0 decoration 1
viewer 0 setTransparencyType 6
viewer 0 setAutoRedraw 0

mainWindow show

set hideNewModules 0
[ load ${SCRIPTDIR}/cover_page-files/chloro_membrane.surf ] setLabel chloro_membrane.surf
chloro_membrane.surf setIconPosition 20 133
chloro_membrane.surf fire
chloro_membrane.surf fire
chloro_membrane.surf setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/cover_page-files/thylakoids.surf ] setLabel thylakoids.surf
thylakoids.surf setIconPosition 20 72
thylakoids.surf fire
thylakoids.surf fire
thylakoids.surf setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/cover_page-files/Pyrenoid.surf ] setLabel Pyrenoid.surf
Pyrenoid.surf setIconPosition 20 103
Pyrenoid.surf fire
Pyrenoid.surf fire
Pyrenoid.surf setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/cover_page-files/inn_mem.surf ] setLabel inn_mem.surf
inn_mem.surf setIconPosition 20 165
inn_mem.surf fire
inn_mem.surf fire
inn_mem.surf setViewerMask 65535

set hideNewModules 0
create HxDisplaySurface {SurfaceView4}
SurfaceView4 setIconPosition 288 165
SurfaceView4 data connect inn_mem.surf
{SurfaceView4} colormap setDefaultColor 1 0.1 0.1
{SurfaceView4} colormap setDefaultAlpha 0.500000
SurfaceView4 fire
{SurfaceView4} drawStyle setValue 4
{SurfaceView4} drawStyle setTexture 0
{SurfaceView4} drawStyle setNormalBinding 0
{SurfaceView4} buffer setIndex -1
{SurfaceView4} buffer untouch
{SurfaceView4} materials setIndex 0 1
{SurfaceView4} materials setIndex 1 0
{SurfaceView4} colorMode setValue 3
{SurfaceView4} baseTrans setMinMax 0 1
{SurfaceView4} baseTrans setValue 0.8
SurfaceView4 fire
SurfaceView4 hideBox 1
{SurfaceView4} selectTriangles zab HIJMPLPPHPBEIMICFBDAJAIAIBIBKBBOAAPNGGIBCJ
SurfaceView4 fire
SurfaceView4 setViewerMask 65535

set hideNewModules 0
[ load /keck1c/user/casey/node/node_mcell/full_node-files/volrenGreen.col5 ] setLabel volrenGreen.col5
volrenGreen.col5 setIconPosition 18 262
volrenGreen.col5 fire
{volrenGreen.col5} setMinMax 60 155
{volrenGreen.col5} flags setValue 0
{volrenGreen.col5} shift setMinMax -1 1
{volrenGreen.col5} shift setValue 0
{volrenGreen.col5} scale setMinMax 0 1
{volrenGreen.col5} scale setValue 1
volrenGreen.col5 fire
volrenGreen.col5 setViewerMask 65535

set hideNewModules 0
create HxArbitraryCut {ClippingPlane}
ClippingPlane setIconPosition 286 10
ClippingPlane data connect chloro_membrane.surf
ClippingPlane fire
{ClippingPlane} orientation setIndex -1
{ClippingPlane} orientation untouch
{ClippingPlane} options setValue 0 0
{ClippingPlane} options setValue 1 0
{ClippingPlane} options setValue 2 0
{ClippingPlane} translate setMinMax 0 100
{ClippingPlane} translate setValue 90
{ClippingPlane} orientation untouch
{ClippingPlane} setPlane 409.339 317.052 139.368 1 0 0 0 1 0
ClippingPlane fire
ClippingPlane setViewerMask 65534

set hideNewModules 0
create HxArbitraryCut {ClippingPlane2}
ClippingPlane2 setIconPosition 278 135
ClippingPlane2 data connect chloro_membrane.surf
ClippingPlane2 fire
{ClippingPlane2} orientation setIndex -1
{ClippingPlane2} orientation untouch
{ClippingPlane2} options setValue 0 0
{ClippingPlane2} options setValue 1 0
{ClippingPlane2} options setValue 2 0
{ClippingPlane2} translate setMinMax 0 100
{ClippingPlane2} translate setValue 5
{ClippingPlane2} orientation untouch
{ClippingPlane2} setPlane 409.339 317.052 104.722 1 0 0 0 1 0
ClippingPlane2 fire
ClippingPlane2 setViewerMask 65534

set hideNewModules 0
[ load ${SCRIPTDIR}/reverse_crop.am ] setLabel reverse_crop.am
reverse_crop.am setIconPosition 14 238
reverse_crop.am fire
reverse_crop.am fire
reverse_crop.am setViewerMask 65535

set hideNewModules 0
create HxVoltex {Voltex}
Voltex setIconPosition 330 238
Voltex data connect reverse_crop.am
{Voltex} colormap setDefaultColor 1 0.8 0.5
{Voltex} colormap setDefaultAlpha 0.500000
Voltex colormap connect volrenGreen.col5
Voltex fire
{Voltex} options setValue 0 1
{Voltex} options setValue 1 0
{Voltex} range setMinMax 0 -1e+24 1e+24
{Voltex} range setValue 0 0
{Voltex} range setMinMax 1 -1e+24 1e+24
{Voltex} range setValue 1 255
{Voltex} lookup setValue 2
{Voltex} gamma setMinMax 1 8
{Voltex} gamma setValue 3
{Voltex} alphaScale setMinMax 0 1
{Voltex} alphaScale setValue 0.2
{Voltex} texture2D3D setValue 0
{Voltex} slices setMinMax 0 256
{Voltex} slices setValue 25
{Voltex} downsample setMinMax 0 -1e+24 1e+24
{Voltex} downsample setValue 0 3
{Voltex} downsample setMinMax 1 -1e+24 1e+24
{Voltex} downsample setValue 1 3
{Voltex} downsample setMinMax 2 -1e+24 1e+24
{Voltex} downsample setValue 2 3
{Voltex} doIt setIndex -1
{Voltex} doIt untouch
Voltex fire
Voltex setViewerMask 65535

set hideNewModules 0
create HxDisplaySurface {SurfaceView}
SurfaceView setIconPosition 295 73
SurfaceView data connect chloro_membrane.surf
{SurfaceView} colormap setDefaultColor 1 0.1 0.1
{SurfaceView} colormap setDefaultAlpha 0.500000
SurfaceView fire
{SurfaceView} drawStyle setValue 4
{SurfaceView} drawStyle setTexture 0
{SurfaceView} drawStyle setNormalBinding 0
{SurfaceView} buffer setIndex -1
{SurfaceView} buffer untouch
{SurfaceView} materials setIndex 0 1
{SurfaceView} materials setIndex 1 0
{SurfaceView} colorMode setValue 3
{SurfaceView} baseTrans setMinMax 0 1
{SurfaceView} baseTrans setValue 0.8
SurfaceView fire
SurfaceView hideBox 1
{SurfaceView} selectTriangles zab HIJMONNNABANAACAAMADMBDJMALPNKABBOMIJKJADLADFPAHONGGFKAFNLCLNIAGAANOKJCDLNABAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAPINHPNEONMBFJHIGDM
SurfaceView fire
SurfaceView setViewerMask 65535

set hideNewModules 0
create HxDisplaySurface {SurfaceView2}
SurfaceView2 setIconPosition 288 41
SurfaceView2 data connect thylakoids.surf
{SurfaceView2} colormap setDefaultColor 1 0.1 0.1
{SurfaceView2} colormap setDefaultAlpha 0.500000
SurfaceView2 fire
{SurfaceView2} drawStyle setValue 1
{SurfaceView2} drawStyle setTexture 0
{SurfaceView2} drawStyle setNormalBinding 0
{SurfaceView2} buffer setIndex -1
{SurfaceView2} buffer untouch
{SurfaceView2} materials setIndex 0 1
{SurfaceView2} materials setIndex 1 0
{SurfaceView2} colorMode setValue 3
{SurfaceView2} baseTrans setMinMax 0 1
{SurfaceView2} baseTrans setValue 0.8
SurfaceView2 fire
SurfaceView2 hideBox 1
{SurfaceView2} selectTriangles zab HIJMONMBDBABAAAAAMACCAJLKNHPCKENLBAPGIABAAAAAAAAIACPEJGOAFJGHCBB
SurfaceView2 fire
SurfaceView2 setViewerMask 65535

set hideNewModules 0
create HxDisplaySurface {SurfaceView3}
SurfaceView3 setIconPosition 288 104
SurfaceView3 data connect Pyrenoid.surf
{SurfaceView3} colormap setDefaultColor 1 0.1 0.1
{SurfaceView3} colormap setDefaultAlpha 0.500000
SurfaceView3 fire
{SurfaceView3} drawStyle setValue 4
{SurfaceView3} drawStyle setTexture 0
{SurfaceView3} drawStyle setNormalBinding 0
{SurfaceView3} buffer setIndex -1
{SurfaceView3} buffer untouch
{SurfaceView3} materials setIndex 0 1
{SurfaceView3} materials setIndex 1 0
{SurfaceView3} colorMode setValue 3
{SurfaceView3} baseTrans setMinMax 0 1
{SurfaceView3} baseTrans setValue 0.8
SurfaceView3 fire
SurfaceView3 hideBox 1
{SurfaceView3} selectTriangles zab HIJMPLPPHPBEIMICFBEACLGAAPMEAAMPBPGAAK
SurfaceView3 fire
SurfaceView3 setViewerMask 65535

set hideNewModules 0

SurfaceView clipGeom ClippingPlane2
SurfaceView clipGeom ClippingPlane
ClippingPlane2 clipGeom ClippingPlane
ClippingPlane2 invertClippingPlane

viewer 0 setCameraPosition 405.632 411.196 -825.538
viewer 0 setCameraOrientation 1 0 0 3.22886
viewer 0 setCameraFocalDistance 928.571
viewer 0 setAutoRedraw 1
viewer 0 redraw
